Esx Settings HardwareSupport Managers Packages Versions get
Returns the detailed information for a specific version of an available Hardware Support Packages (HSPs) as specified by the Hardware Support Manager (HSM)
This operation was added in vSphere API 7.0.0.0.
Returns an authorization error if you do not have all of the privileges described as follows:
- Operation execution requires
VcIntegrity.lifecycleSettings.Read.
Identifier for the Hardware Support Manager (HSM).
The parameter must be an identifier for the resource type: com.vmware.esx.setting.hardware_support.manager.
The name of the Hardware Support Package (HSP)
The parameter must be an identifier for the resource type: com.vmware.esx.setting.hardware_support.package.
The version of the Hardware Support Package (HSP)
Specification of detailed information to be returned
If missing or null, the behavior is equivalent to a Esx Settings HardwareSupport Managers Packages Versions FilterSpec with all properties missing or null, which means all releases supported are returned but no component information for any particular release is included.
detailed information on Hardware Support Packages (HSPs)
"Esx Settings HardwareSupport Managers Packages Versions PackageInfo Object"
Name of the Hardware Support Package (e.g. "Jan. 2018 Release" or "Latest Hardware Support Package for Frobozz GenX hardware") selected
This property was added in vSphere API 7.0.0.0.
When clients pass a value of this schema as a parameter, the property must be an identifier for the resource type: com.vmware.esx.setting.hardware_support.package. When operations return a value of this schema as a response, the property will be an identifier for the resource type: com.vmware.esx.setting.hardware_support.package.
Version of the Hardware Support Package (e.g. "20180128.1" or "v42") selected
This property was added in vSphere API 7.0.0.0.
Description of the Hardware Support Package (HSP) (e.g. for use in help bubble)
This property was added in vSphere API 7.0.0.0.
Supported vSphere releases
This property was added in vSphere API 7.0.0.0.
List of components in this HSP manifest.
This property was added in vSphere API 7.0.0.0.
List of components removed by this HSP manifest.
This property was added in vSphere API 7.0.0.0.
If any of the specified parameters are Invalid (e.g. if the release version specified in the query parameter is not, in fact, among those supported by the Hardware Support Package (HSP).
"Vapi Std Errors InvalidArgument Object"
if the caller is not authenticated. named manager in the system.
"Vapi Std Errors Unauthenticated Object"
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 7.0.0.0.
This property is optional because it was added in a newer version than its parent node.
if the user does not have the required privilege to perform the operation.
"Vapi Std Errors Unauthorized Object"
If there is no Hardware Support Manager (HSM) with the specified name, or no Hardware Support Package (HSP) with the specified name and version.
"Vapi Std Errors NotFound Object"
If there is some unknown internal error. The accompanying error message will give more details about the failure.
"Vapi Std Errors Error Object"
Stack of one or more localizable messages for human error consumers.
The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.
Each subsequent message in the stack describes the "cause" of the prior message.
Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.
Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.
The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.
Some operations will not set this property when reporting errors.
Discriminator field to help API consumers identify the structure type.
For more information see: Vapi Std Errors Error Type.
This property was added in vSphere API 6.7.2.
Can be missing or null for compatibility with preceding implementations.
If the service is not available.
"Vapi Std Errors ServiceUnavailable Object"
curl -H 'Authorization: <value>' https://{api_host}/api/esx/settings/hardware-support/managers/{manager}/packages/{pkg}/versions/{version}